python-pycurl_7.43.0.1-0.2_amd64.deb


Advertisement

Description

python-pycurl - Python bindings to libcurl

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name python-pycurl
Package version 7.43.0.1
Package release 0.2
Package architecture amd64
Package type deb
Installed size 174 B
Download size 42.14 KB
Official Mirror archive.ubuntu.com
This module provides the Python bindings to libcurl. Please refer to
the libcurl documentation available in libcurl4-gnutls-dev Debian package.
NOTE: the SSL support is provided by GnuTLS.
This package contains PyCURL for Python 2.

Alternatives

Package Version Architecture Repository
python-pycurl_7.43.0.1-0.2_i386.deb 7.43.0.1 i386 Ubuntu Main
python-pycurl - - -

Requires

Name Value
libc6 >= 2.15
libcurl3-gnutls >= 7.58.0
python >= 2.7~
python << 2.8
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-pycurl_7.43.0.1-0.2_amd64.deb
Source Package pycurl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pycurl deb package:
    # sudo apt-get install python-pycurl

Files

Path
/usr/lib/python2.7/dist-packages/pycurl-7.43.0.1.egg-info
/usr/lib/python2.7/dist-packages/pycurl.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/curl/__init__.py
/usr/share/doc/python-pycurl/TODO.Debian
/usr/share/doc/python-pycurl/changelog.Debian.gz
/usr/share/doc/python-pycurl/copyright

Changelog

2018-02-01 - Iain R. Learmonth <irl@debian.org>
pycurl (7.43.0.1-0.2) unstable; urgency=medium
* Non-maintainer upload
* d/control:
- Updates versioned dependency on libcurl
The work for this change was supported by the European Union under grant
agreement No. 688421. This support does not imply endorsement.
2018-01-22 - Iain R. Learmonth <irl@debian.org>
pycurl (7.43.0.1-0.1) unstable; urgency=medium
[ Iain R. Learmonth ]
* Non-maintainer upload
* New upstream release (Closes: #886486)
[ Barry Warsaw ]
* d/control: Put DPMT in Maintainers and myself in Uploaders.
The work for this change was supported by the European Union under grant
agreement No. 688421. This support does not imply endorsement.
2016-12-15 - Barry Warsaw <barry@debian.org>
pycurl (7.43.0-2) unstable; urgency=medium
[ Ondřej Nový ]
* Fixed VCS URL (https)
* Bump debhelper compat version to 9
* Standards-Version is 3.9.8 now (no changes needed)
* Removed privacy breach in docs
[ Barry Warsaw ]
* d/rules: Prevent network access during package tests. (Closes: #830281)
2016-03-10 - Barry Warsaw <barry@debian.org>
pycurl (7.43.0-1) unstable; urgency=medium
* New upstream release.
* d/control:
- Add python{,3}-flaky to Build-Depends for test suite.
- Test suite runs at build time but still fails, so continue not to fail.
- Bump Standards-Version to 3.9.7 with no other changes necessary.
* d/tests: Add a live test which downloads a well published resource.
(Closes: #763770)
2016-01-12 - Barry Warsaw <barry@debian.org>
pycurl (7.21.5-1) unstable; urgency=medium
* New upstream release.
* d/tests/control: Add a smoketest for Python 2 and 3.
2015-12-29 - Andreas Metzler <ametzler@debian.org>
pycurl (7.19.5.3-1.1) unstable; urgency=medium
* Non-maintainer upload.
* 30_find-perm_slash.diff: Use "find -perm /x" instead of "find -perm +x".
Closes: #808922
2015-11-18 - Barry Warsaw <barry@debian.org>
pycurl (7.19.5.3-1) unstable; urgency=medium
* New upstream release.
2015-04-27 - Barry Warsaw <barry@debian.org>
pycurl (7.19.5.1-1) unstable; urgency=medium
* New upstream release.
* d/watch: Use pypi.debian.net mirror.
* d/control: Bump Standards-Version to 3.9.6
2014-10-14 - Barry Warsaw <barry@debian.org>
pycurl (7.19.5-3) unstable; urgency=medium
* d/watch: Updated download URL to point to PyPI.
* d/patches/0003-upstream-issue-210.patch: Added a proposed fix for
upstream issue #210.
2014-10-01 - Barry Warsaw <barry@debian.org>
pycurl (7.19.5-2) unstable; urgency=medium
* d/control: Update the Vcs-* headers for the move to git-dpm.

See Also

Package Description
python-pyeclib_1.3.1-1ubuntu3_amd64.deb interface for implementing erasure codes - Python 2.x
python-pygments-doc_2.2.0+dfsg-1_all.deb documentation for the Pygments
python-pygments_2.2.0+dfsg-1_all.deb syntax highlighting package written in Python
python-pyicu_1.9.8-0ubuntu1_amd64.deb Python extension wrapping the ICU C++ API
python-pyinotify-doc_0.9.6-1_all.deb simple Linux inotify Python bindings -- documentation
python-pyinotify_0.9.6-1_all.deb simple Linux inotify Python bindings
python-pylibacl-doc_0.5.3-1build2_all.deb module for manipulating POSIX.1e ACLs (documentation)
python-pylibacl_0.5.3-1build2_amd64.deb module for manipulating POSIX.1e ACLs
python-pylxd-doc_2.2.6-0ubuntu1_all.deb Python library for interacting with LXD REST API - doc
python-pylxd_2.2.6-0ubuntu1_all.deb Python library for interacting with LXD REST API
python-pymemcache_1.3.2-3_all.deb comprehensive, fast, pure Python memcached client - Python 2.x
python-pymongo-doc_3.6.1+dfsg1-1_all.deb Python interface to the MongoDB document-oriented database (documentation)
python-pymongo-ext_3.6.1+dfsg1-1_amd64.deb C-coded extension to the python-pymongo package
python-pymongo_3.6.1+dfsg1-1_amd64.deb Python interface to the MongoDB document-oriented database
python-pymysql-doc_0.8.0-1_all.deb Pure-Python MySQL driver - doc
Advertisement
Advertisement